mail/spamassassin - The NetBSD Packages Collection

Mail filter to identify spam

SpamAssassin is a mail filter to identify spam. It will examine
each message presented to it, and assign a score indicating the
likelihood that the mail is spam.

It applies a wide range of heuristic tests on mail headers and body text
to identify "spam", also known as unsolicited commercial email. The mail
can then be optionally tagged as spam for later filtering.

The spam-identification tactics used include header analysis, text analysis,
a Bayesian-style form of probability-analysis classification and DNS
blacklists. It also includes plugins to support reporting spam messages to
collaborative filtering databases such as Pyzor, DCC, and Vipul's Razor.

The distribution provides a command line tool to perform filtering, along
with a set of perl modules which allows SpamAssassin to be used in a
variety of different spam-blocking scenarios.

In addition, "spamd", a daemonized version of SpamAssassin which runs
persistently, is available. Using its counterpart, "spamc", a lightweight
client written in C, an MTA can process large volumes of mail through
SpamAssassin without having to fork/exec a perl interpreter for each message.

SpamAssassin does not deliver mail to the users mailbox. You need a
different program (procmail is recommended) for local mail delivery.

Build dependencies

pkgtools/cwrappers lang/perl5

Runtime dependencies

security/p5-Digest-SHA1 www/p5-HTML-Parser mail/p5-Mail-DKIM mail/p5-Mail-SPF net/p5-NetAddr-IP net/p5-Net-DNS www/p5-libwww devel/re2c security/p5-IO-Socket-SSL net/p5-IO-Socket-INET6 security/gnupg2 net/wget lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfspamassassin-3.4.4nb1.tgz
NetBSD 8.0earmv7hfspamassassin-3.4.4nb1.tgz
NetBSD 8.0earmv7hfspamassassin-3.4.5.tgz
NetBSD 8.0i386spamassassin-3.4.4nb1.tgz
NetBSD 8.0i386spamassassin-3.4.4nb1.tgz
NetBSD 8.0i386spamassassin-3.4.5.tgz
NetBSD 8.0powerpcspamassassin-3.4.4nb1.tgz
NetBSD 8.0powerpcspamassassin-3.4.5.tgz
NetBSD 8.0powerpcspamassassin-3.4.4nb1.tgz
NetBSD 8.0powerpcspamassassin-3.4.5.tgz
NetBSD 8.0x86_64spamassassin-3.4.5.tgz
NetBSD 8.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 8.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 9.0aarch64spamassassin-3.4.5.tgz
NetBSD 9.0aarch64spamassassin-3.4.4nb1.tgz
NetBSD 9.0aarch64spamassassin-3.4.4nb1.tgz
NetBSD 9.0alphaspamassassin-3.4.5.tgz
NetBSD 9.0alphaspamassassin-3.4.4nb1.tgz
NetBSD 9.0alphaspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv6hfspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv6hfspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv6hfspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv7hfspamassassin-3.4.5.tgz
NetBSD 9.0earmv7hfspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv7hfspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv7hfspamassassin-3.4.4nb1.tgz
NetBSD 9.0earmv7hfspamassassin-3.4.5.tgz
NetBSD 9.0i386spamassassin-3.4.4nb1.tgz
NetBSD 9.0i386spamassassin-3.4.4nb1.tgz
NetBSD 9.0i386spamassassin-3.4.5.tgz
NetBSD 9.0mips64ebspamassassin-3.4.5.tgz
NetBSD 9.0mips64ebspamassassin-3.4.4nb1.tgz
NetBSD 9.0mips64ebspamassassin-3.4.4nb1.tgz
NetBSD 9.0mipselspamassassin-3.4.4nb1.tgz
NetBSD 9.0mipselspamassassin-3.4.5.tgz
NetBSD 9.0powerpcspamassassin-3.4.4nb1.tgz
NetBSD 9.0powerpcspamassassin-3.4.4nb1.tgz
NetBSD 9.0powerpcspamassassin-3.4.5.tgz
NetBSD 9.0powerpcspamassassin-3.4.5.tgz
NetBSD 9.0sh3elspamassassin-3.4.4nb1.tgz
NetBSD 9.0sh3elspamassassin-3.4.5.tgz
NetBSD 9.0sparc64spamassassin-3.4.5.tgz
NetBSD 9.0sparc64spamassassin-3.4.4.tgz
NetBSD 9.0sparc64spamassassin-3.4.4nb1.tgz
NetBSD 9.0sparc64spamassassin-3.4.4nb1.tgz
NetBSD 9.0sparcspamassassin-3.4.5.tgz
NetBSD 9.0sparcspamassassin-3.4.4nb1.tgz
NetBSD 9.0sparcspamassassin-3.4.4nb1.tgz
NetBSD 9.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 9.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 9.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 9.0x86_64spamassassin-3.4.5.tgz
NetBSD 9.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 9.0x86_64spamassassin-3.4.4nb1.tgz
NetBSD 9.0x86_64spamassassin-3.4.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

gnupg1
Use GNU Privacy Guard (GnuPG) Version 1.x
inet6
Enable support for IPv6.
ssl
Enable SSL support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.